Summary:	Tool to transform SFF files to BMP
Name:		sfftobmp
Version:	3.1
Release:	%mkrel 5
License:	MIT
Group:		Communications
URL:		http://sfftools.sourceforge.net/
Source0:	sfftobmp_3_1_src.tar.bz2
Patch0:		sfftobmp-3.1-gcc43.patch
BuildRequires:	libtool
BuildRequires:	boost-devel
BuildRequires:	libtiff-devel
BuildRequires:	jpeg-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
SffToBmp is a converter tool, written in C++, to transform SFF files to BMP,
JPEG or multipage TIFF format.
In addition generation of PBM files (Portable Bitmap) is also possible which
can be transformed into nearby any other graphics format using the PBMPLUS
tools that are included in almost every Linux distribution nowadays.

%prep

%setup -q -n %{name}%{version}
%patch0 -p1 -b .gcc43

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%build
rm -f configure
touch NEWS README AUTHORS ChangeLog
autoreconf -i
%configure2_5x

%make 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/*
%{_bindir}/%{name}




%changelog
* Thu Mar 26 2009 Funda Wang <fundawang@mandriva.org> 3.1-5mdv2009.1
+ Revision: 361282
- rebuild for new boost

* Mon Dec 22 2008 Funda Wang <fundawang@mandriva.org> 3.1-4mdv2009.1
+ Revision: 317405
- rebuild for new boost

* Wed Sep 24 2008 Adam Williamson <awilliamson@mandriva.org> 3.1-3mdv2009.0
+ Revision: 287870
- just use autoreconf don't mess around doing it manually
- rebuild against new boost
- drop unnecessary autofoo buildrequires
- add gcc43.patch (fix build with GCC 4.3, has been sent to author)
- drop errno.diff (was merged upstream in 3.1, but our patch still applied, so
  the include was duplicated)
- drop release to 3 (last release that actually built was 2)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 26 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1-2mdv2008.1
+ Revision: 112119
- rebuilt against new boost major


* Mon Feb 05 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1-1mdv2007.0
+ Revision: 116281
- 3.1
- bunzip patches
- Import sfftobmp

* Sun Jan 08 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0-2mdk
- rebuild

* Wed Dec 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0-1mdk
- 3.0
- fix deps and spec file
- added a different P0

* Fri Apr 30 2004 Steffen Barszus <st_barszus@gmx.de> 2.2-1mdk
- initial rpm for mandrake

